#!/bin/bash

ENV_GITLAB_FILE=~/.env.gitlab
ENV_DOCKER_FILE=~/.env.docker
ENV_FRONTEND_FILE=~/.env.frontend
ENV_REDDIT_YML_FILE=~/.env.reddit

##########
# GITLAB #
##########

echo CI_PROJECT_URL="$CI_PROJECT_URL" >> $ENV_GITLAB_FILE

##########
# REDDIT #
##########

echo REDDIT_FCP_YML="$REDDIT_FCP_YML" >> $ENV_REDDIT_YML_FILE
echo REDDIT_ELT_YML="$REDDIT_ELT_YML" >> $ENV_REDDIT_YML_FILE
echo SUBREDDIT_TRAIN_YML="$SUBREDDIT_TRAIN_YML" >> $ENV_REDDIT_YML_FILE

##################
# DOCKER-COMPOSE #
##################

#GLOBAL
echo $DBT_USER_CREDS >> ~/dbt-user-creds.json
echo GCP_DBT_KEY_PATH="$GCP_DBT_KEY_PATH" >> $ENV_DOCKER_FILE
echo DOMAIN_IP="$SERVER_APP_IP" >> $ENV_DOCKER_FILE

#DAGSTER
echo DAGSTER_POSTGRES_USER="$DAGSTER_POSTGRES_USER" >> $ENV_DOCKER_FILE
echo DAGSTER_POSTGRES_PASSWORD="$DAGSTER_POSTGRES_PASSWORD" >> $ENV_DOCKER_FILE
echo DAGSTER_POSTGRES_DB="$DAGSTER_POSTGRES_DB" >> $ENV_DOCKER_FILE
echo DAGSTER_CURRENT_IMAGE="$DAGSTER_CURRENT_IMAGE" >> $ENV_DOCKER_FILE
echo REDDIT_APP_SECRET="$REDDIT_APP_SECRET" >> $ENV_DOCKER_FILE
echo REDDIT_APP_ID="$REDDIT_APP_ID" >> $ENV_DOCKER_FILE
echo REDDIT_USER="$REDDIT_USER" >> $ENV_DOCKER_FILE
echo REDDIT_PASSWORD="$REDDIT_PASSWORD" >> $ENV_DOCKER_FILE

############
# FRONTEND #
############

echo VITE_DOMAIN="$SERVER_APP_IP" >> $ENV_FRONTEND_FILE